Name: djbdns-run
Summary: RedHat specific tools for djbdns
Version: 1.05
Release: 11.1
License: Copyright 2000 D. J. Bernstein <djb@pobox.com>
URL: http://cr.yp.to/djbdns.html
Group: System Environment/Daemons
Source0: http://cr.yp.to/djbdns/djbdns-%{version}.tar.gz
Source1: djbdns-docs.tar.gz
Source2: run.tar.gz
Source3: ftp://ftp.innominate.org/pub/pape/djb/djbdns-1.05-man.tar.gz
#Source3: http://cr.yp.to/djbdns/doc.tar.gz
BuildRoot: /tmp/djbdns
BuildArch: noarch
Requires: djbdns = %{version}
#Requires: supervise-scripts >= 3.2
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?redhat_version}
BuildRequires:	djbdns shadow-utils
%endif
%if 0%{?suse_version}
BuildRequires:	djbdns pwdutils
%endif

%description
This package contains a set of custom configuration tools for djbdns
that install files and users in more "standard" locations.  To use these
tools, run "dnscache-rhconf" instead of "dnscache-conf", etc.

%package -n djbdns-docs
Summary: Documentation for djbdns from the web
Group: Documentation
BuildArch: noarch

%description -n djbdns-docs
This package contains the documentation for djbdns retrieved from
http://cr.yp.to/djbdns/

%changelog

* Tue Feb 13 2001 Bruce Guenter <bruceg@em.ca>
- Bumped version to 1.05.

* Mon Jan 22 2001 Bruce Guenter <bruceg@em.ca>
- Bumped version to 1.04.

* Sun Jan 7 2001 Bruce Guenter <bruceg@em.ca>
- Bumped version to 1.03.
- Added man pages translations.

* Tue Nov 21 2000 Bruce Guenter <bruceg@em.ca>
- Upgraded to using supervise-scripts v3.

* Mon Nov 20 2000 Bruce Guenter <bruceg@em.ca>
- Added missing axfrdns username to installation.

* Wed Oct 18 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 1.02.

* Thu Mar 30 2000 Bruce Guenter <bruceg@em.ca>
- Moved all the RedHat specific stuff into a seperate "run" package.

* Wed Mar 29 2000 Bruce Guenter <bruceg@em.ca>
- Make the original conf programs retain their original names, and give
  the new programs the name *-rhconf.

%prep
%setup -n djbdns-%{version}
mkdir docs
tar -xzf %{SOURCE1} -C docs
tar -xzf %{SOURCE2}
tar -xzf %{SOURCE3}

%build

%install
rm -rf $RPM_BUILD_ROOT

make -C run prefix=$RPM_BUILD_ROOT \
	bindir=%{_bindir} datadir=%{_datadir} install

for section in 1 5 8; do
  mandir=$RPM_BUILD_ROOT/%{_mandir}/man$section
  mkdir -p $mandir
  install -m 444 djbdns-man/*.$section $mandir
done

#cd $RPM_BUILD_ROOT/%{_bindir}
#for name in axfr-get dnsfilter dnsip dnsipq dnsmx dnsname dnsq dnsqr \
#	dnstrace dnstxt pickdns-data random-ip rbldns-data tinydns-data \
#	tinydns-edit tinydns-get
#do
#	ln -sf /usr/bin/$name $name
#done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
PATH="/sbin:/usr/sbin:$PATH" export PATH
add_user() { grep "^$1:" /etc/passwd >/dev/null || useradd -d "$3" -g "$2" -M -r -s /bin/true "$1"; }
add_user axfrdns  nobody /var/service
add_user dnscache nobody /var/service
add_user dnslog   nobody /var/log
add_user pickdns  nobody /var/service
add_user rbldns   nobody /var/service
add_user tinydns  nobody /var/service
add_user walldns  nobody /var/service

%post
if [ "$1" -gt 1 ]
then
  djbdns-upgrade
fi

%postun
if [ "$1" = 0 ]; then
	userdel axfrdns
	userdel dnscache
	userdel dnslog
	userdel pickdns
	userdel rbldns
	userdel tinydns
	userdel walldns
fi

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n djbdns-docs
%defattr(-,root,root)
%doc CHANGES README* TODO VERSION docs/*
%{_mandir}/man*/*
